> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chkk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific Risk

> Returns the full details of a single Risk.



## OpenAPI

````yaml get /risks/{riskId}
openapi: 3.0.1
info:
  contact:
    name: Chkk
    url: https://www.chkk.io
  description: A REST API that exposes the Chkk data model.
  title: Chkk API
  version: v1.0
servers:
  - url: https://api.us.chkk.io/v1
security: []
tags:
  - description: Operations that authenticate users and return scoped access tokens.
    name: Login
  - description: >-
      Operations for retrieving Guardrails, Misconfigurations, and
      API-Deprecation Risks detected in your clusters.
    name: Risk
externalDocs:
  description: Detailed documentation of the Chkk data model and product features
  url: https://docs.chkk.io
paths:
  /risks/{riskId}:
    parameters:
      - description: Unique identifier for the Risk
        explode: false
        in: path
        name: riskId
        required: true
        schema:
          type: string
        style: simple
    get:
      tags:
        - Risk
      summary: Get a specific Risk
      description: Returns the full details of a single Risk.
      operationId: risk-get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Risk'
          description: Returns the requested Risk.
      security:
        - bearer_token: []
components:
  schemas:
    Risk:
      properties:
        id:
          description: Unique identifier for the Risk.
          type: string
        signature:
          $ref: '#/components/schemas/RiskSignature'
        remediation:
          description: >-
            Guidance on how to remediate and permanently fix the Risk from your
            environment.
          type: string
        mitigation:
          description: >-
            Guidance on how to temporarily resolve the Risk from your
            environment.
          type: string
        root_cause:
          description: Underlying condition that causes the Risk to manifest.
          type: string
        severity:
          $ref: '#/components/schemas/RiskSeverity'
        location:
          $ref: '#/components/schemas/RiskLocation'
        status:
          $ref: '#/components/schemas/RiskStatus'
        last_detected:
          description: Time when the Risk was most recently identified.
          format: date-time
          type: string
      required:
        - id
        - last_detected
        - location
        - signature
      type: object
    RiskSignature:
      description: RiskSignature is the source of Operational Risk for a customer.
      properties:
        id:
          description: Unique identifier for this RiskSignature.
          type: string
        title:
          description: Human-readable RiskSignature title.
          type: string
        description:
          description: >-
            Description of the Risk detected by the signature, i.e. what happens
            when it materializes
          type: string
        tags:
          description: The tags associated with the Risk signature
          items:
            $ref: '#/components/schemas/RiskTag'
          type: array
        links:
          $ref: '#/components/schemas/Links'
      required:
        - description
        - id
        - title
      type: object
    RiskSeverity:
      description: >-
        The severity of a Risk. It is a measure of the combination of
        probability and impact of a Risk materializing
      enum:
        - low
        - medium
        - high
        - critical
      type: string
    RiskLocation:
      properties:
        cluster:
          $ref: '#/components/schemas/RiskLocationCluster'
          description: ID of the cluster where the Risk was detected.
      type: object
    RiskStatus:
      description: Details about the status of the Risk including its lifecycle state.
      properties:
        lifecycle:
          $ref: '#/components/schemas/RiskStatusLifecycle'
        reason:
          $ref: '#/components/schemas/RiskStatusReason'
        comment:
          description: >-
            A comment further describing the reason behind the Risk's status
            change
          type: string
        identity:
          $ref: '#/components/schemas/Identity'
        updated:
          description: The time the Risk's status was updated
          format: date-time
          type: string
      required:
        - lifecycle
      type: object
    RiskTag:
      description: A tag that can be applied to a Risk or Risk Signature.
      enum:
        - category:guardrail
        - category:api-deprecation
        - category:misconfiguration
      type: string
    Links:
      items:
        $ref: '#/components/schemas/Link'
      type: array
    RiskLocationCluster:
      type: object
      description: The Cluster where the Risk was detected
      properties:
        id:
          type: string
          description: The ID of the Cluster
        name:
          type: string
          description: The name of the Cluster
        namespace:
          type: string
          description: Namespace in the cluster if relevant
      required:
        - id
    RiskStatusLifecycle:
      description: The lifecycle state of a Risk
      enum:
        - ignored
        - active
        - resolved
      type: string
    RiskStatusReason:
      description: Reason why a Risk was set to its current lifecycle state.
      enum:
        - FalsePositive
        - ByDesign
        - DevTestCluster
        - FollowedProcedure
        - Other
      type: string
    Identity:
      description: >-
        Actor that changed the lifecycle of a Risk. Can be a machine principal
        or a human user.
      oneOf:
        - $ref: '#/components/schemas/MachineAwsIdentity'
        - $ref: '#/components/schemas/UserIdentity'
      properties:
        type:
          type: string
          description: Discriminator that indicates which identity object is present.
      required:
        - type
      type: object
    Link:
      properties:
        url:
          description: URL of the reference link
          type: string
        type:
          description: The type of linked resource
          enum:
            - generic
            - github.releases
            - github.release
            - github.issues
            - github.issue
            - gitlab.releases
            - gitlab.release
            - gitlab.issues
            - gitlab.issue
            - bitbucket.releases
            - bitbucket.release
            - bitbucket.issues
            - bitbucket.issue
            - documentation
            - project.website
            - project.releasenotes
            - project.upgradeguide
            - project.versioning
            - project.support
            - project.source
            - project.component.source
            - package.source
          type: string
        description:
          description: A description of the related resource
          type: string
      required:
        - type
        - url
      type: object
    MachineAwsIdentity:
      description: An AWS-based machine identity
      properties:
        type:
          enum:
            - aws
          type: string
        aws_identity_arn:
          description: ARN of the AWS identity that took the action.
          type: string
      required:
        - aws_identity_arn
        - type
      type: object
    UserIdentity:
      description: A human user in the Chkk platform
      properties:
        type:
          enum:
            - user
          type: string
        id:
          description: Internal Chkk user identifier.
          type: string
        name:
          description: User's full name
          type: string
        email:
          description: User's email address.
          format: email
          type: string
        picture:
          description: A URL for the  user's picture
          type: string
      required:
        - email
        - id
        - name
        - type
      type: object
  securitySchemes:
    bearer_token:
      in: header
      name: Authorization
      type: apiKey
      description: Authorization credentials supplied in the Authorization header.

````